Imports System.ComponentModel

Public Class SQLTypeConverter
    Inherits TypeConverter

    Public Overrides Function ConvertTo(context As ITypeDescriptorContext, culture As Globalization.CultureInfo, value As Object, destinationType As Type) As Object
        'Return MyBase.ConvertTo(context, culture, value, destinationType)
        Dim sqlvalue As SQLValue = DirectCast(value, SQLValue)
        Return sqlvalue.Value
    End Function
End Class